Subject: Re: [PATCH v3 2/2] completion: fix bugs with slashes in remote names

From: Junio C Hamano <[email-masked]>
Date: Fri, 14 Mar 2025 15:18:35 -0700

David Mandelberg <[email-masked]> writes:

> +	__git for-each-ref --format='%(refname)' 'refs/remotes/**' |

Just a bit of curiosity, but how would this be different from using

	__git for-each-ref --format='%(refname)' refs/remotes/

i.e. the prefix match, here?  Does the wildmatcher clever enough to
optimize "**" away and make it just to iterate over refs/remotes/
hierarchy without filtering anything?